"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.behaviours = undefined;
exports.getDefaultPlugins = getDefaultPlugins;
exports.isValidBehaviour = isValidBehaviour;

var _cssLoaderCore = require("./css-loader-core");

var _cssLoaderCore2 = _interopRequireDefault(_cssLoaderCore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const behaviours = exports.behaviours = {
  LOCAL: "local",
  GLOBAL: "global"
};

function getDefaultPlugins(behaviour, generateScopedName) {
  const scope = _cssLoaderCore2.default.scope({ generateScopedName });

  const plugins = {
    [behaviours.LOCAL]: [_cssLoaderCore2.default.values, _cssLoaderCore2.default.localByDefault, _cssLoaderCore2.default.extractImports, scope],

    [behaviours.GLOBAL]: [_cssLoaderCore2.default.values, _cssLoaderCore2.default.extractImports, scope]
  };

  return plugins[behaviour];
}

function isValidBehaviour(behaviour) {
  return Object.keys(behaviours).map(key => behaviours[key]).indexOf(behaviour) > -1;
}